Bug 91429 - ls and mkdir commands cause segmentation fault
ls and mkdir commands cause segmentation fault
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: fileutils (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-22 11:38 EDT by Need Real Name
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-02 09:21:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-05-22 11:38:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
When issuing an ls or mkdir command a segmentation fault results.  All other 
commands seem to be working.  Recently performed up2date on all components.  
Will try booting to an earlier kernel.

Version-Release number of selected component (if applicable):
kernel 2.4.20-13.7

How reproducible:
Always

Steps to Reproduce:
1.ls
2.
3.
    

Actual Results:  segmentation fault

Expected Results:  directory listing

Additional info:

same happens with mkdir command
Comment 1 Tim Waugh 2003-05-22 11:40:19 EDT
See if 'dmesg' says anything interesting.
Comment 2 Need Real Name 2003-05-22 12:00:31 EDT
Dmesg did not produce any clues as to what may be causing this.
Comment 3 Tim Waugh 2003-05-28 05:54:20 EDT
Please show me the output of this command:

rpm -q '%{arch}\n' glibc; uname -a
Comment 4 Need Real Name 2003-05-28 09:39:10 EDT
package %{arch}\n  is not installed
glibc-2.2.4-32
Comment 5 Tim Waugh 2003-05-28 10:47:38 EDT
Sorry, gave the wrong command.  Please try this:

rpm -q --qf '%{arch}\n' glibc
uname -a
Comment 6 Need Real Name 2003-05-28 12:05:45 EDT
result of the above command
i686
Comment 7 Tim Waugh 2003-05-28 12:08:17 EDT
..and 'uname -a'?
Comment 8 Need Real Name 2003-05-28 12:25:04 EDT
rpm -q --qf '%{arch}\n' uname -a produced no result.  Returned to the command 
prompt.
Comment 9 Need Real Name 2003-05-28 12:29:50 EDT
sorry about that <<uname -a>> produced the output
Linux domainname.com 2.4.20-13.7 date....i686 unknown
Comment 10 Tim Waugh 2003-05-29 05:51:24 EDT
Run 'gdb ls' and at the (gdb) prompt type 'r' and press return.  When you get a
segmentation fault, type 'bt' and press return.  What does it say?
Comment 11 Need Real Name 2003-05-29 12:02:20 EDT
#0 0x8503fff in strcpy() at strcpy:-1
#1-#6 same as above with hex shift
#7 0x40044657 in__libc_start_main (main=08x049740<strcpy+568> argc=1, 
ubp_av=0xbfffeee4, init=0x8049060 <_inti>, fini=0x804fcb0 <_fini>, 
rtld_fini=0x4000dcd4 <_dl_fini>,stack_end 0xbfffeedc) 
at ../sysdeps/generic/libc-start.c:129
(gdb)
Comment 12 Tim Waugh 2003-05-29 12:42:06 EDT
Do you get output from this command?:

rpm -V fileutils glibc

Also, did you try booting an earlier kernel?
Comment 13 Need Real Name 2003-06-02 09:05:04 EDT
rpm -V fileutils glibc produced list of executables in /bin directory.
example S.5.... /bin/ls and one listing S.5... T c /etc/profile.d/colorls.sh

Tried an earlier Kernel with the same results.
Comment 14 Tim Waugh 2003-06-02 09:21:27 EDT
'S.5.... /bin/ls' as output is bad news: it means that the ls binary does not
match the one that was installed from the fileutils package.

Sounds like that binary was modified outside of the process of installing RPMs.
 Might want to check your security settings if this machine is on the Internet.

(You could force upgrade the fileutils package to get the right binary back.)

Note You need to log in before you can comment on or make changes to this bug.